<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="de"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>App.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">heatdemand</a> &gt; <a href="index.source.html" class="el_package">de.csbme.ifaxx</a> &gt; <span class="el_source">App.java</span></div><h1>App.java</h1><pre class="source lang-java linenums">package de.csbme.ifaxx;

/**
 * Hello world!
 *
 */
<span class="nc" id="L7">public class App {</span>

    public static double shippingCalculator(ShippingPosition[] positions){

<span class="fc" id="L11">        double shippingCost = 3.9;</span>
<span class="fc" id="L12">        double totalWeight = 0;</span>

<span class="fc bfc" id="L14" title="All 2 branches covered.">        for (ShippingPosition pos : positions) {</span>
            
<span class="fc" id="L16">            shippingCost += pos.getQuantity()*0.1; // 10ct pro Artikel</span>

<span class="fc bfc" id="L18" title="All 2 branches covered.">            if (pos.getQuantity()*pos.getWeight() &lt; 0.5){ // Kleinartikel</span>
<span class="fc" id="L19">                shippingCost += 0.3;</span>
<span class="fc bfc" id="L20" title="All 2 branches covered.">            }else if (pos.getQuantity()*pos.getWeight() &lt; 2.5){ //größer</span>
<span class="fc" id="L21">                shippingCost += 1.0;</span>
            }

<span class="fc" id="L24">            totalWeight += pos.getQuantity()*pos.getWeight();</span>

<span class="fc bfc" id="L26" title="All 4 branches covered.">            if ((totalWeight &gt;10) || (shippingCost &gt;50)){  //Sperrgut</span>
<span class="fc" id="L27">                shippingCost = 50;</span>
            }
        }
<span class="fc" id="L30">        return shippingCost;</span>
    }



    public static void main(String[] args) {
<span class="nc" id="L36">            }</span>

}

class ShippingPosition{
    double price;
    int quantity;
    int ean;
    double weight;
<span class="fc" id="L45">    ShippingPosition(int quantity, double weight){</span>
<span class="fc" id="L46">        this.quantity= quantity;</span>
<span class="fc" id="L47">        this.weight = weight;</span>
<span class="fc" id="L48">    }</span>
    public double getWeight(){
<span class="fc" id="L50">        return weight;</span>
    }
    public double getQuantity(){
<span class="fc" id="L53">        return quantity;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>